/*
 * Visualizador.java
 *
 * Creado el 9 de mayo de 2006, 16:16
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mhpsc.sistema.ejemplo;

import java.awt.Graphics;
import javax.swing.JComponent;

/**
 *
 * @author avelino
 */
public class Visualizador extends JComponent {
    private float posicion = 0;
    private float escala = 10;
    
    public void paint(Graphics g) {
        super.paint(g);
        g.setClip(0, 0, this.getWidth(), this.getHeight());
        g.setColor(this.getForeground());
        int x = Math.round(this.getPosicion() * this.getEscala());
        g.fillRect(x, 0, 20, 20);
    }

    public float getPosicion() {
        return this.posicion;
    }

    public void setPosicion(float posicion) {
        this.posicion = posicion;
        this.repaint();
    }

    public float getEscala() {
        return this.escala;
    }

    public void setEscala(float escala) {
        this.escala = escala;
    }
}
